Find message by message feed id and multiple conditions
Multiple conditions can be provided in query string
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Message feed ID The ID of the message feed
30"a85dca058f5b585f86a29f14"
parent ID of a message (max length=50) Parent id of message
30"abc665afd7dbb8d036037eea"
deleted flag of message that needs to be find Soft delete flag
Used for querying messages by matching all specified tags. When a query includes multiple tags (e.g., tags=['tag1', 'tag2', 'tag3']), the system will return all messages that have all the specified tags. (max=10)
List of tags for searching
1030["tag1", "tag2"]Used for querying messages by excluding all specified tags. When a query includes multiple tags (e.g., excludeTags=['tag1', 'tag2', 'tag3']), the system will return all messages that do not have any of the specified tags. (max=10)
List of tags for searching
1030["tag1", "tag2"]flag to filter only flagged message A flag to filter only flagged message
data type of message (max length=20) Type of data
20"text"
Pagination options
after: string(30) : return documents after this message id
before: string(30) : return documents before this message id
limit: number(0, 100) default=10 if use limit along with options.around, limit must be even number
sortBy: segmentAsc | segmentDesc
token: string(100) : This token will be generated by server using encryption of after, before, limit, sortBy. It would be returned in response payload (paging.next, paging.previous). The caller can send only token for getting data from previous or next page easily.
around: target message id
Page options by using cursor